as the title says im trying to read data from ethernet that is connected to the laptop via a VN 5610A. (see Screenshot vn5610a.png)
| have currently tried using the Pcap Ethernet Receiver since the data that we get via Ethernet is SomelP.

Sadly i cannot find any way to start since i can only select the ip-adress; and we just passively reading samlpes.

Should that be possible at all or would i need a different Source?

Screenshot 2 contains the (mostly empty) Config.

Lésung

please have a look at #11288, Ethernet Support for Vector API is neither requested from customer forum nor implemented.
Getting SOME/IP data is Device independent using PCap Source, to extract SOME/IP data from this stream use the SOME/IP filter:

e https://support.digitalwerk.net/adtf addons/adtf-device-toolbox/v3/guides/tutorial_someip_example.html

In addition to that we are thinking about implementing additonal hardware devices, also for Vector Ethernet.
But there is currently no budget from customer forum.

But | am with you, there should be at least a open source or community solution as soon as possible.
Maybe you can order and give us a contract ?

Otherwise it seams to low prior because of resources.

As suggested in the linked issue, you can also implmenent an own Source as well as share with us, send to the Device Toolbox or
some open source community solutions.

Note that we are working on a kind of component store to host and share adtf components with different security levels (internal,
customer, public)

Related issues:
Related to Public Support - Support Request #11288: TCP data exchange with ve... Closed

History

#1 - 2020-06-23 16:01 - hidden
- Related to Support Request #11288: TCP data exchange with vector device added

#2 - 2020-06-23 16:03 - hidden

- Status changed from New to In Progress
- Private changed from Yes to No

- Topic set to DeviceTB::SOME/IP

- Customer set to AUDI

- Department set to TKI
https://support.digitalwerk.net/issues/11288
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/guides/tutorial_someip_example.html

#3 - 2020-06-23 16:11 - hidden
- Status changed from In Progress to Customer Feedback Required

- Resolution set to Not Supported Scope

Hi Konstantin,

please have a look at #11288, Ethernet Support for Vector APl is neither requested from customer forum nor implemented.
Getting SOME/IP data is Device independent using PCap Source, to extract SOME/IP data from this stream use the SOME/IP filter:

e https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/quides/tutorial_someip_example.html

In addition to that we are thinking about implementing additonal hardware devices, also for Vector Ethernet.
But there is currently no budget from customer forum.

But | am with you, there should be at least a open source or community solution as soon as possible.
Maybe you can order and give us a contract ?

Otherwise it seams to low prior because of resources.
As suggested in the linked issue, you can also implmenent an own Source as well as share with us, send to the Device Toolbox or some open source

community solutions.
Note that we are working on a kind of component store to host and share adtf components with different security levels (internal, customer, public)

#4 - 2020-06-29 15:38 - hidden

Hi Florian,
thanks for the answer.

| would like to try to implement the source myself. For the connection to work towards the SOME IP filter i would need the descritption / struct-Header
of the Input of the Somelp Filter (the Output of the Pcap-Filter).

Can you provide that information or hint me where to get it?

Thanks
Konstantin

#5 - 2020-06-29 16:00 - hidden
- Subject changed from Using VN5610A Ethernet with ADTF3 to Using vector Ethernet Device VN5610A within ADTF Device Toolbox 3.x
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Hi Konstantin,
OK, if you like to share with others, we can put on our open source community if you like.

Regarding Ethernet type:
Please have a look at the Device Toolbox, ./pkg/include/sdk.
There you will find all used types and structures, as well as the Raw Ethernet Stream Type which you have to set.

Note:
In ADTF 3.x each Stream Type is completely described. You can also have a look at the plugindescriptions next to the adtfplugins.
There you will find the type and ddl structure as well if you inspect the plugindescriptions for pcap source or some/ip filter.

#8 - 2020-07-07 12:50 - hidden
- Status changed from To Be Closed to Closed
